<?php
declare(strict_types=0);
foreach($_GET  as $key => $value){${$key}=trim($value);$_PARAMS[$key]=${$key};}  
foreach($_POST as $key => $value){${$key}=trim($value);$_PARAMS[$key]=${$key};}
include_once('lib_main.php');

$modu=strtolower($modu);

$cong_sql='select * from cong0 where cong_codigo="'.$_SESSION['cong_codigo'].'"';
$cong_res=msql_query($cong_sql,$link_data);
$salas = msql_result($cong_res,0,'cong_sala');
$grupos = msql_result($cong_res,0,'cong_grupo');

$cong_codigo=$_SESSION['cong_codigo'];
if(!empty($cong)){$cong_codigo=$cong;}
$_SESSION['cong_codigo']=$cong_codigo;

if(!empty($empr)){$link_data=msql_connect('','','',$empr); $cfg_empr=$empr;}
$user_codigo=$_SESSION['user_codigo'];
$user0=data_maes('user',$user_codigo);
$cong0=data_maes('cong',$cong_codigo);

$sql_docu ='select * from docu0 where docu_tabla="jwib" ';
$sql_docu.='and docu_codigo not like "MDC%" ';
// $xfecha1='2016-10-03';

if(!empty($cong_codigo))
{  
     echo '<br>==='.$cong_codigo;
     
     for ($idx=0; $idx<=16; $idx++)
     {
          $fecha=date('Y-m-d',strtotime ('next Monday +'.($idx*7).' days'));
          $res_docu=msql_query($sql_docu,$link_data);
          while($aso_docu=msql_fetch_assoc($res_docu))
          {
               $docu=$aso_docu['docu_codigo'];
               $msala=0;
               if(substr($docu,0,3)=="VM3"){$msala=$salas;}
               for($csala=0; $csala<=$msala; $csala++)
               {
                    echo '<br>';
                    echo ' = '.$fecha;
                    echo ' : '.$csala;
                    echo ' : '.$aso_docu['docu_descri'];
                    $jwib_sql='select * from jwib1 ';
                    $jwib_sql.=' where docu = "'.$docu.'"';
                    $jwib_sql.=' and fecha = "'.$fecha.'"';
                    $jwib_sql.=' and cong="'.$cong_codigo.'"';
                    $jwib_sql.=' and sala="'.$csala.'"';
                    $jwib_res=msql_query($jwib_sql,$link_data);
                    if(msql_num_rows($jwib_res)==0)
                    {
                         $jwib_sqli='insert into jwib1(docu,fecha,cong,sala,status,idate) ';
                         $jwib_sqli.='value("'.$docu.'","'.$fecha.'","'.$cong_codigo.'","'.$csala.'","-",now())';
                         $jwib_resi=msql_query($jwib_sqli,$link_data);
                    }  
               }

          }
     }
}

$fecha3=strtotime ('next Month');
$fecha3=date('Y-m-'.'01',$fecha3);

echo '<br>';

$jwib_sql='update jwib1, cong0 set fechar=adddate(fecha,cong_reu1-1) where cong=cong_codigo and docu in("ELIB","") and (fecha>="'.$fecha3.'" or fechar is null)';
$jwib_res=msql_query($jwib_sql,$link_data);
echo '****'.msql_error($link_data);

$jwib_sql='update jwib1, cong0 set fechar=adddate(fecha,cong_reu1-1) where cong=cong_codigo and docu in("REU1") and (fecha>="'.$fecha3.'" or fechar is null)';
$jwib_res=msql_query($jwib_sql,$link_data);
echo '****'.msql_error($link_data);

$jwib_sql='update jwib1, cong0 set fechar=adddate(fecha,cong_reu1-1) where cong=cong_codigo and docu like "VM%" and (fecha>="'.$fecha3.'" or fechar is null)';
$jwib_res=msql_query($jwib_sql,$link_data);
echo '****'.msql_error($link_data);

$jwib_sql='update jwib1, cong0 set fechar=adddate(fecha,cong_reu2-1) where cong=cong_codigo and docu in("EATA","DPU1") and (fecha>="'.$fecha3.'" or fechar is null)';
$jwib_res=msql_query($jwib_sql,$link_data);
echo '****'.msql_error($link_data);

$jwib_sql='update jwib1, cong0 set fechar=adddate(fecha,cong_reu2-1) where cong=cong_codigo and docu in("REU2") and (fecha>="'.$fecha3.'" or fechar is null)';
$jwib_res=msql_query($jwib_sql,$link_data);
echo '****'.msql_error($link_data);

$jwib_sql='update jwib1, cong0 set fechar=adddate(fecha,cong_reu1-1) where cong=cong_codigo and left(docu,2)="AS" and (fecha>="'.$fecha3.'" or fechar is null)';
$jwib_res=msql_query($jwib_sql,$link_data);
echo '****'.msql_error($link_data);


$jwib_sql='update jwib1, cong0 set fecha2=adddate(fecha,cong_reu2-1) where cong=cong_codigo and left(docu,2)="AS" and (fecha>="'.$fecha3.'" or fechar is null)';
$jwib_res=msql_query($jwib_sql,$link_data);
echo '****'.msql_error($link_data);



?>
